Engage > Profiles

Create or update a profile

Create or update a Metorik-only Engage profile for a store.

POST /api/v1/store/engage/profiles

Create or update a profile

curl --request POST \
  --url 'https://{baseUrl}/api/v1/store/engage/profiles' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "profile": {
    "email": "[email protected]",
    "first_name": "Kendall",
    "last_name": "Roy",
    "country": "US",
    "company": "Waystar Royco",
    "consent": "double",
    "tags": [
      "VIP",
      "Wholesale"
    ],
    "created_at": "2026-03-26 12:00:00",
    "updated_at": "2026-03-26 12:00:00"
  }
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Headers

  • Accept string required

    Response format header. Example: application/json

Request Body

application/json
  • email string required

    Email address for the profile.

  • first_name string

    First name for the profile.

  • last_name string

    Last name for the profile.

  • country string

    Two-letter country code for the billing country.

  • company string

    Company name for the profile.

  • consent string enum enum

    Consent level to apply. Allowed values: single, double.

  • tags array|string

    Tags to set on the profile as either an array of tags or a comma-separated string. When sent, tags replace the existing set.

  • add_tags array|string

    Tags to add to the profile as either an array of tags or a comma-separated string. Tags are only added if they do not already exist.

  • remove_tags array|string

    Tags to remove from the profile as either an array of tags or a comma-separated string. Tags are only removed if they currently exist.

Response

application/json
  • profile object
    + Show Child Attributes
    • email string
    • first_name string
    • last_name string
    • country string
    • company string
    • consent string
    • tags[] string array
    • created_at string
    • updated_at string